import { useState, useEffect } from "react";
import { requestPermissions, } from "../../request-permissions.js";
export function usePermissionsRequest() {
    const [permissionsState, setPermissionsState] = useState(undefined);
    useEffect(() => {
        requestPermissions().then(permissionsStatus => {
            setPermissionsState(permissionsStatus);
        });
    }, []);
    return permissionsState;
}
