import { useEffect, useState } from "react";
import { checkPermissions } from "../../check-permissions.js";
export function usePermissionsStatus() {
    const [permissionsStatus, setPermissionsStatus] = useState(undefined);
    useEffect(() => {
        checkPermissions().then(setPermissionsStatus);
    });
    return permissionsStatus;
}
