/**
 * Requests motion permissions
 */
export async function requestPermissions() {
    if (DeviceMotionEvent && 'requestPermission' in DeviceMotionEvent && typeof DeviceMotionEvent.requestPermission === 'function') {
        return await DeviceMotionEvent.requestPermission();
    }
    else {
        return 'granted';
    }
}
