export { WithAccelerationSync, } from "./react/components/with-acceleration-sync.js";
export { WithMotionSync, } from "./react/components/with-motion-sync.js";
export { WithOperatingSystemChecking, WithOperatingSystemChecking as WithMotionOperatingSystemChecking, } from "./react/components/with-operating-system-checking.js";
export { WithOrientationSync, } from "./react/components/with-orientation-sync.js";
export { WithPermissionsRequesting, WithPermissionsRequesting as WithMotionPermissionsRequesting, } from "./react/components/with-permissions-requesting.js";
export { WithPermissionsStatus, WithPermissionsStatus as WithMotionPermissionsStatus, } from './react/components/with-permissions-status.js';
export { useMotionSync, } from "./react/hooks/use-motion-sync.js";
export { useAccelerationSync, } from "./react/hooks/use-acceleration-sync.js";
export { useOrientationSync, } from "./react/hooks/use-orientation-sync.js";
export { usePermissionsRequest, usePermissionsRequest as useMotionPermissionsRequest } from "./react/hooks/use-permissions-request.js";
export { usePermissionsStatus, usePermissionsStatus as useMotionPermissionsStatus } from './react/hooks/use-permissions-status.js';
export { makeMotionInsertOperations, } from "./make-motion-insert-operations.js";
export { makeMotionValueUpdateOperations, } from "./make-motion-value-update-operations.js";
export { requestPermissions } from "./request-permissions.js";
export { subscribeToAccelerationChanges } from "./subscribe-to-acceleration-changes.js";
export { subscribeToOrientationChanges } from "./subscribe-to-orientation-changes.js";
export { insertMotion } from "./insert-motion.js";
export { updateMotion } from "./update-motion.js";
export { createMotionDecorator, } from "./create-motion-decorator.js";
export { Package } from "./package.js";
