/// <reference types="react" />
import { PermissionStatus } from "../../permission-status.js";
export declare function WithPermissionsStatus(options: WithPermissionsStatusOptions): JSX.Element | undefined;
export type WithPermissionsStatusOptions = {
    renderIfLoading: () => JSX.Element;
    renderIfGranted: () => JSX.Element;
    renderIfDenied: () => JSX.Element;
    renderIfPrompt: () => JSX.Element;
} | {
    render: (permissionsStatus: PermissionStatus | undefined) => JSX.Element;
};
